Bug 39330 - Make univention-add-app work again
Make univention-add-app work again
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UNSTABLE
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Dirk Wiesenthal
Stefan Gohmann
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 13:43 CEST by Dirk Wiesenthal
Modified: 2015-11-17 12:11 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2015-09-11 13:43:27 CEST
With the new docker apps, a lot of code changed. univention-add-app is part of univention-updater and easily forgotten.

This tool will be depreacted with the new univention-app tool, but it should at least work as before.

Maybe one could refuse to install docker based apps. Maybe it is easier to just invoke univention-app install in it.
Comment 1 Dirk Wiesenthal univentionstaff 2015-10-22 13:05:39 CEST
Fixed in
  univention-appcenter 5.0.6-55.1.201510221245

The old Application class is not longer installable if the ini file container DockerImage.

This also helps (a bit) in the global App Center: Slave4.0 cannot install a Docker App on Master4.1
Comment 2 Stefan Gohmann univentionstaff 2015-10-28 10:13:06 CET
OK, it works. A docker App installation is prohibit and a normal installation can be done:

root@master491:~# univention-add-app -a -l zarafa-webmeetings
27.10.15 20:21:32.441 MODULE      ( PROCESS ) : Downloading "https://appcenter-test.software-univention.de/meta-inf/4.1/index.json.gz"...
27.10.15 20:21:32.593 MODULE      ( PROCESS ) : 0 file(s) are new
27.10.15 20:21:32.756 MODULE      ( ERROR   ) : Cannot install a Docker app. Use "univention-app install" or a newer version of the UMC module App Center
root@master491:~#
Comment 3 Stefan Gohmann univentionstaff 2015-11-17 12:11:32 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".